Package org.springframework.web.servlet.view.groovy

# Interface GroovyMarkupConfig

All Known Implementing Classes:
  `GroovyMarkupConfigurer`

public interface GroovyMarkupConfig
Interface to be implemented by objects that configure and manage a Groovy `MarkupTemplateEngine` for automatic lookup in a web environment. Detected and used by `GroovyMarkupView`.

Since:
  4.1
Author:
  Brian Clozel
See Also:
  - `GroovyMarkupConfigurer`

## Method Summary

Modifier and Type
Method
Description
`groovy.text.markup.MarkupTemplateEngine`
`getTemplateEngine()`
Return the Groovy `MarkupTemplateEngine` for the current web application context.

## Method Details

### getTemplateEngine

groovy.text.markup.MarkupTemplateEngine getTemplateEngine()
Return the Groovy `MarkupTemplateEngine` for the current web application context. May be unique to one servlet, or shared in the root context.

Returns:
  the Groovy MarkupTemplateEngine engine